<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behavior Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classWIB__FEMB__COMM__TOP.html">WIB_FEMB_COMM_TOP</a></li><li class="navelem"><a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html">behavior</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavior Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classWIB__FEMB__COMM__TOP_1_1behavior-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:af37aed721eab77a92bd555eeb4d08346"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af37aed721eab77a92bd555eeb4d08346"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#af37aed721eab77a92bd555eeb4d08346">FEMB_wr_strb_0</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af48c04d4b9ec0e568f675233f9140484"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af48c04d4b9ec0e568f675233f9140484"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#af48c04d4b9ec0e568f675233f9140484">FEMB_rd_strb_0</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a125babab1420357e3afea80bfa131824"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a125babab1420357e3afea80bfa131824"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#a125babab1420357e3afea80bfa131824">FEMB_DATA_RDY_0</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeedae365395b5d2fe5eb0867b81276db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeedae365395b5d2fe5eb0867b81276db"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#aeedae365395b5d2fe5eb0867b81276db">FEMB_DATA_FRM_FEMB_0</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa8f9f373fb334aac376720c405d8bfa2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8f9f373fb334aac376720c405d8bfa2"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#aa8f9f373fb334aac376720c405d8bfa2">FEMB_wr_strb_1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afed0dc8518df982cd9aec01e4591035a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afed0dc8518df982cd9aec01e4591035a"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#afed0dc8518df982cd9aec01e4591035a">FEMB_rd_strb_1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af7a99414afc80dc762a4300a83ccc089"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7a99414afc80dc762a4300a83ccc089"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#af7a99414afc80dc762a4300a83ccc089">FEMB_DATA_RDY_1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a52e790ea922406d2bfe39bc1a4933c70"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52e790ea922406d2bfe39bc1a4933c70"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#a52e790ea922406d2bfe39bc1a4933c70">FEMB_DATA_FRM_FEMB_1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6522c5ff728b8cee713e4a31bccfc656"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6522c5ff728b8cee713e4a31bccfc656"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#a6522c5ff728b8cee713e4a31bccfc656">FEMB_wr_strb_2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a16f8a752a2a21d26cdf87704c3ae4168"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16f8a752a2a21d26cdf87704c3ae4168"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#a16f8a752a2a21d26cdf87704c3ae4168">FEMB_rd_strb_2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab38db39afc6a90740193c1d5c2e1de12"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab38db39afc6a90740193c1d5c2e1de12"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#ab38db39afc6a90740193c1d5c2e1de12">FEMB_DATA_RDY_2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae9e75f5e4c11cbe011401eac822f8928"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9e75f5e4c11cbe011401eac822f8928"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#ae9e75f5e4c11cbe011401eac822f8928">FEMB_DATA_FRM_FEMB_2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acd8f436ea651497f842ae433d840c7e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd8f436ea651497f842ae433d840c7e0"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#acd8f436ea651497f842ae433d840c7e0">FEMB_wr_strb_3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a792c0c38750123ffcb72e519ad87fbf9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a792c0c38750123ffcb72e519ad87fbf9"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#a792c0c38750123ffcb72e519ad87fbf9">FEMB_rd_strb_3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0d979970c857392314912a6b7cda9dc1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d979970c857392314912a6b7cda9dc1"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#a0d979970c857392314912a6b7cda9dc1">FEMB_DATA_RDY_3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a83e500955f3e171cf736a06ba7d62e9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83e500955f3e171cf736a06ba7d62e9e"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#a83e500955f3e171cf736a06ba7d62e9e">FEMB_DATA_FRM_FEMB_3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a9453d17d3ae021d3028eeaa006f43f30"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9453d17d3ae021d3028eeaa006f43f30"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#a9453d17d3ae021d3028eeaa006f43f30">WIB_FEMB_COMM_INST1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>WORK.WIB_FEMB_COMM</b>  </td></tr>
<tr class="memitem:a867d846aaba9a86463aeedada6506328"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a867d846aaba9a86463aeedada6506328"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#a867d846aaba9a86463aeedada6506328">WIB_FEMB_COMM_INST2</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>WORK.WIB_FEMB_COMM</b>  </td></tr>
<tr class="memitem:aab95756dbc0ccbc2c8fea16f61b757c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab95756dbc0ccbc2c8fea16f61b757c8"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#aab95756dbc0ccbc2c8fea16f61b757c8">WIB_FEMB_COMM_INST3</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>WORK.WIB_FEMB_COMM</b>  </td></tr>
<tr class="memitem:a89d3c0823f80a32db9b2e98a33013984"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a89d3c0823f80a32db9b2e98a33013984"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html#a89d3c0823f80a32db9b2e98a33013984">WIB_FEMB_COMM_INST4</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>WORK.WIB_FEMB_COMM</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="WIB__FEMB__COMM__TOP_8vhd_source.html#l00064">64</a> of file <a class="el" href="WIB__FEMB__COMM__TOP_8vhd_source.html">WIB_FEMB_COMM_TOP.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/FEMB_SC/<a class="el" href="WIB__FEMB__COMM__TOP_8vhd_source.html">WIB_FEMB_COMM_TOP.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:37 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
